Index: c/src/tests/ChangeLog
===================================================================
--- c/src/tests/ChangeLog	(revision 6a8a114c42807f6f3ef8b086b3022b979fe73a74)
+++ c/src/tests/ChangeLog	(revision 5f7d7640c0a0c8287bfb5db9b996a0f3cf33ee37)
@@ -1,2 +1,7 @@
+2003-10-22	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* aclocal/canonical-host.m4: Remove.
+	* aclocal/canonical-target-name.m4: Merge-in aclocal/canonical-host.m4.
+
 2003-10-22	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: src/tests/aclocal/canonical-host.m4
===================================================================
--- c/src/tests/aclocal/canonical-host.m4	(revision 6a8a114c42807f6f3ef8b086b3022b979fe73a74)
+++ 	(revision )
@@ -1,25 +1,0 @@
-dnl $Id$
-
-AC_DEFUN(RTEMS_CANONICAL_HOST,
-[dnl
-AC_REQUIRE([AC_CANONICAL_HOST])
-RTEMS_HOST=$host_os
-case "${target}" in
-  # hpux unix port should go here
-  i[[34567]]86-*linux*)          # unix "simulator" port
-        RTEMS_HOST=Linux
-	;;
-  i[[34567]]86-*freebsd*)         # unix "simulator" port
-        RTEMS_HOST=FreeBSD
-	;;
-  i[[34567]]86-pc-cygwin*) 	# Cygwin is just enough unix like :)
-        RTEMS_HOST=Cygwin
-	;;
-  sparc-sun-solaris*)           # unix "simulator" port
-        RTEMS_HOST=Solaris
-	;;
-  *) 
-	;;
-esac
-AC_SUBST(RTEMS_HOST)
-])dnl
Index: c/src/tests/aclocal/canonical-target-name.m4
===================================================================
--- c/src/tests/aclocal/canonical-target-name.m4	(revision 6a8a114c42807f6f3ef8b086b3022b979fe73a74)
+++ c/src/tests/aclocal/canonical-target-name.m4	(revision 5f7d7640c0a0c8287bfb5db9b996a0f3cf33ee37)
@@ -11,31 +11,39 @@
 AC_DEFUN(RTEMS_CANONICAL_TARGET_CPU,
 [
-AC_CANONICAL_TARGET
+AC_CANONICAL_HOST
 AC_MSG_CHECKING(rtems target cpu)
-case "${target}" in
+case "${host}" in
   # hpux unix port should go here
   i[[34567]]86-*linux*)		# unix "simulator" port
 	RTEMS_CPU=unix
+        RTEMS_HOST=Linux
 	;;
   i[[34567]]86-*freebsd*) 	# unix "simulator" port
 	RTEMS_CPU=unix
+        RTEMS_HOST=FreeBSD
 	;;
   i[[34567]]86-pc-cygwin*) 	# Cygwin is just enough unix like :)
 	RTEMS_CPU=unix
+        RTEMS_HOST=Cygwin
 	;;
   no_cpu-*rtems*)
         RTEMS_CPU=no_cpu
+	RTEMS_HOST=$host_os
 	;;
   sparc-sun-solaris*)           # unix "simulator" port
 	RTEMS_CPU=unix
+        RTEMS_HOST=Solaris
 	;;
   tic4x-*rtems*)          	# gcc changed the name
 	RTEMS_CPU=c4x
+	RTEMS_HOST=$host_os
 	;;
   *) 
-	RTEMS_CPU=`echo $target | sed 's%^\([[^-]]*\)-\(.*\)$%\1%'`
+	RTEMS_CPU=`echo $host | sed 's%^\([[^-]]*\)-\(.*\)$%\1%'`
+	RTEMS_HOST=$host_os
 	;;
 esac
 AC_SUBST(RTEMS_CPU)
+AC_SUBST(RTEMS_HOST)
 AC_MSG_RESULT($RTEMS_CPU)
 ])
Index: testsuites/ChangeLog
===================================================================
--- testsuites/ChangeLog	(revision 6a8a114c42807f6f3ef8b086b3022b979fe73a74)
+++ testsuites/ChangeLog	(revision 5f7d7640c0a0c8287bfb5db9b996a0f3cf33ee37)
@@ -1,2 +1,7 @@
+2003-10-22	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* aclocal/canonical-host.m4: Remove.
+	* aclocal/canonical-target-name.m4: Merge-in aclocal/canonical-host.m4.
+
 2003-10-22	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: testsuites/aclocal/canonical-target-name.m4
===================================================================
--- testsuites/aclocal/canonical-target-name.m4	(revision 6a8a114c42807f6f3ef8b086b3022b979fe73a74)
+++ testsuites/aclocal/canonical-target-name.m4	(revision 5f7d7640c0a0c8287bfb5db9b996a0f3cf33ee37)
@@ -11,31 +11,39 @@
 AC_DEFUN(RTEMS_CANONICAL_TARGET_CPU,
 [
-AC_CANONICAL_TARGET
+AC_CANONICAL_HOST
 AC_MSG_CHECKING(rtems target cpu)
-case "${target}" in
+case "${host}" in
   # hpux unix port should go here
   i[[34567]]86-*linux*)		# unix "simulator" port
 	RTEMS_CPU=unix
+        RTEMS_HOST=Linux
 	;;
   i[[34567]]86-*freebsd*) 	# unix "simulator" port
 	RTEMS_CPU=unix
+        RTEMS_HOST=FreeBSD
 	;;
   i[[34567]]86-pc-cygwin*) 	# Cygwin is just enough unix like :)
 	RTEMS_CPU=unix
+        RTEMS_HOST=Cygwin
 	;;
   no_cpu-*rtems*)
         RTEMS_CPU=no_cpu
+	RTEMS_HOST=$host_os
 	;;
   sparc-sun-solaris*)           # unix "simulator" port
 	RTEMS_CPU=unix
+        RTEMS_HOST=Solaris
 	;;
   tic4x-*rtems*)          	# gcc changed the name
 	RTEMS_CPU=c4x
+	RTEMS_HOST=$host_os
 	;;
   *) 
-	RTEMS_CPU=`echo $target | sed 's%^\([[^-]]*\)-\(.*\)$%\1%'`
+	RTEMS_CPU=`echo $host | sed 's%^\([[^-]]*\)-\(.*\)$%\1%'`
+	RTEMS_HOST=$host_os
 	;;
 esac
 AC_SUBST(RTEMS_CPU)
+AC_SUBST(RTEMS_HOST)
 AC_MSG_RESULT($RTEMS_CPU)
 ])
